Opened 9 years ago

Closed 3 years ago

Last modified 3 years ago

#1715 closed defect (worksforme)

Preview on cartographic composer broken

Reported by: cmbarton Owned by: grass-dev@…
Priority: normal Milestone: 7.0.7
Component: wxGUI Version: svn-trunk
Keywords: cartographic composer Cc:
CPU: Unspecified Platform: Unspecified

Description

The preview for the cartographic composer is semi-broken. On some systems, it simply displays an error (screenshot attached). On others, it demands a new installation of X11. This seems to get by the problem on some systems. But it should not need X11 anyway. This is on Mac OSX 10.6 and 10.8 both. I don't know if it affects other platforms, but Windows ought to be affected if it is demanding X11.

Attachments (1)

Screen shot 2012-08-31 at 11.35.51 AM.png (53.1 KB) - added by cmbarton 9 years ago.
Screenshot of error message when clicking preview button of cartographic composer

Download all attachments as: .zip

Change History (7)

Changed 9 years ago by cmbarton

Screenshot of error message when clicking preview button of cartographic composer

comment:1 Changed 5 years ago by martinl

Milestone: 7.0.07.0.5

comment:2 Changed 5 years ago by neteler

Still an issue?

comment:3 Changed 5 years ago by neteler

Milestone: 7.0.57.0.6

comment:4 Changed 3 years ago by neteler

Milestone: 7.0.67.0.7

comment:5 Changed 3 years ago by martinl

Resolution: worksforme
Status: newclosed

No activity for a long time. Closing. Feel free to reopen if needed.

comment:6 Changed 3 years ago by cmbarton

This works as long as ps2pdf is installed. Otherwise it will fail and may even lock up the GUI occasionally. This means that ghostscript needs to be a listed dependency if it is not already

Note: See TracTickets for help on using tickets.